%define name mm-common
%define version 0.9.10
%define release %mkrel 1

Summary: Build infrastructure and utilities for GNOME C++ bindings
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
License: GPLv2+
Group: Development/GNOME and GTK+
Url: http://www.gtkmm.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: curl
BuildRequires: wget
Obsoletes:  	%name < %version


%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.  It is only a required
dependency for building the C++ bindings from the gnome.org version
control repository.  An installation of mm-common is not required for
building tarball releases, unless configured to use maintainer-mode.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -std=c++11"
./autogen.sh
%configure2_5x --enable-network
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS ChangeLog AUTHORS
%_bindir/mm-common-prepare
%_datadir/aclocal/*.m4
%_datadir/%name
%_datadir/pkgconfig/*.pc
%_mandir/man1/*.1*
%_datadir/doc/mm-common/README
%_datadir/doc/mm-common/skeletonmm.tar.gz


%changelog
* Wed Jan 25 2017 bb <bb> 0.9.10-1pclos2017
- new version

* Fri Apr 15 2011 Texstar <texstar at gmail.com> 0.9.5-1pclos2011
- import into plcos

